#include "AiUpRecord.h"

void AiUpRecord::SetState(int stateID, int lr)
{
	AiRecord::SetState(stateID, lr);
	ani.sprite_index = lr == 0 ? L"ai_up_record_l" : L"ai_up_record_r";
}

std::shared_ptr<Entity> CreateAiUpRecord()
{
	return std::make_shared<AiUpRecord>();
}
